{% extends 'base.html' %}

{% block title %} Comenzile mele {% endblock %}

{% block content %}
<div class="container mt-5">
    <h2>Comenzile mele</h2>
    <table class="table table-striped table-bordered">
        <thead class="thead-dark">
            <tr>
                <th scope="col">Referință Comandă</th>
                <th scope="col">Data</th>
                <th scope="col">Status</th>
                <th scope="col">Total</th>
            </tr>
        </thead>
        <tbody>
            {% for order in orders %}
            <tr>
                <td>{{ order.order_ref }}</td>
                <td>{{ order.ordered_date|date:"F j, Y, g:i a" }}</td>
                <td>
                    {% if order.refund_granted %}
                        <span class="badge bg-info">Restituire Aprobată</span>
                    {% elif order.refund_requested %}
                        <span class="badge bg-warning text-dark">Restituire Solicitată</span>
                    {% elif order.delivered %}
                        <span class="badge bg-success">Expediata</span>
                    {% else %}
                        <span class="badge bg-secondary">În așteptare</span>
                    {% endif %}
                </td>
                <td>{{ order.total_price }} Lei</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}
